Name: libofa
Version: 0.9.3
Release: alt2
Summary: Open Fingerprint Architecture library
License: APL v1 / GPL v2
Group: System/Libraries
Url: http://www.musicip.com/dns/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.gz
Patch0: libofa-0.9.3-gcc43.patch

BuildRequires: gcc-c++ libcurl-devel libexpat-devel libfftw3-devel

%description
MusicDNS (Music Digital Naming Service) offers a simple and
cost-effective method for identifying digital music and acquiring
metadata. As the largest fingerprint-based music database in the world,
MusicDNS is quickly becoming a standard for the global identification of
digital music. 

MusicDNS is structured software as a service (SaaS), and leverages the
extensive platform and infrastructure that MusicIP has put in place to
provide the most reliable services possible.

At its core, MusicDNS accepts four data types in order to identify
tracks and return the according information. For example, MusicDNS can
be provided with an acoustic fingerprint, which will then provide back
our universal unique ID that corresponds to that fingerprint as well as
all associated metadata that we have in our database. 

%package devel
Summary: Headers for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Headers for building software that uses %name

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%files
%doc AUTHORS COPYING README
%_libdir/*.so.*

%files devel
%_includedir/ofa1
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Wed Aug 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9.3-alt2
- fixed build with gcc 4.4

* Sun Dec 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.9.3-alt1.1
- NMU: fixed build with gcc 4.3

* Sun Mar 18 2007 Mikhail Yakshin <greycat@altlinux.org> 0.9.3-alt1
- Initial build for ALT Linux

